import { type Config } from "../types";
/**
 * Replaces the paths of the templates with their source code.
 */
export declare function getTemplatesSourceCode(templates: Config["environments"][number]["templates"]): TemplateWithSourceCode;
/**
 * Loads the helpers source code from the file system.
 * @param helpers The path to the helpers file.
 * @returns The source code.
 */
export declare function getHelpersSourceCode(helpers: Config["helpers"]): Promise<string | undefined>;
type TemplateWithSourceCode = Promise<Array<{
    connectionIds: string[];
    sourceCode: Record<string, string | undefined>;
}>>;
export {};
//# sourceMappingURL=template-source-code.d.ts.map