"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fileExists = fileExists;
const fs_extra_1 = require("fs-extra");
const path_1 = require("../customer/path");
/**
 * Returns true if the file exists, false otherwise
 * @param filepath The path of the file you want to check
 * @returns boolean
 */
function fileExists(filepath, isCustomerPath = false) {
    const fullpath = isCustomerPath ? filepath : (0, path_1.getCustomerPath)(filepath);
    try {
        return (0, fs_extra_1.existsSync)(fullpath);
    }
    catch {
        return false;
    }
}
