"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.uxAction = uxAction;
const core_1 = require("@oclif/core");
function uxAction(title, func) {
    return function (...args) {
        core_1.ux.action.start(title);
        let result;
        try {
            result = func(...args);
        }
        catch (e) {
            core_1.ux.action.stop("❌");
            throw e;
        }
        if (result?.then) {
            result
                .then(() => {
                core_1.ux.action.stop("✅");
            })
                .catch(() => {
                core_1.ux.action.stop("❌");
            });
        }
        else {
            core_1.ux.action.stop("✅");
        }
        return result;
    };
}
