export interface Config {
    helpers: string | undefined;
    environments: Array<{
        environment: string;
        templates: Array<{
            paths: Partial<Record<TemplateType, string>>;
            connection_ids: string[];
        }>;
    }>;
}
export interface PartialConnection {
    id: string;
    slug: string;
    environment: string;
}
export type ConnectionConfigDict = Record<string, PartialConnection>;
export type PromptChoices<T> = Array<{
    name: string;
    value: T;
}>;
interface TemplateError {
    code: "TEMPLATE_ERROR";
    message?: string;
    line?: number;
    position?: number;
    token?: string;
    snippet?: string[];
}
export interface TemplateExecutionSuccessResponse {
    success: true;
    data: Record<string, any>;
}
export interface TemplateExecutionErrorResponse {
    success: false;
    error: TemplateError;
}
export declare enum CatalogFixtureType {
    ITEM = "item",
    VARIATION = "variation",
    ITEM_GROUP = "item_group",
    EXTERNAL_DATA = "external_data",
    MAPPING = "mapping"
}
export declare const TemplateTypes: readonly ["item", "variation", "item_group", "grouping", "mapping"];
export type TemplateType = (typeof TemplateTypes)[number];
export {};
//# sourceMappingURL=types.d.ts.map